.authentication-menu {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    color: var(--theme-header-color);

    .authentication-menu__profile-link { display: none }
    .authentication-menu__profile-toggle { anchor-name: --profile-menu }
    #admin-button { display: none; anchor-name: --admin-menu }

    @media (min-width: 50em) {
        .authentication-menu__profile-toggle { display: none }
        .authentication-menu__profile-link { display: inline-grid }
        #admin-button { display: inline-grid }
    }

    .header__popover {
        background-color: var(--theme-header-popover-bg);
        color: var(--theme-header-popover-color);
        border: none;
        position: fixed;
        inset: auto;
        top: anchor(bottom);
        right: anchor(right);

        nav {
            display: flex;
            flex-direction: column;
            gap: 0.5rem;
            padding: 0.5rem;
        }
    }

    #profile-popover { position-anchor: --profile-menu }
    #admin-popover { position-anchor: --admin-menu }
}
